## mingw-w64-qt6-sensors-6.8.1-1.src.tar.zst

=== src/plugins/sensors/sensorfw/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## sensorfwSensorPlugin Plugin:
#####################################################################

qt_internal_add_plugin(sensorfwSensorPlugin
    OUTPUT_NAME qtsensors_sensorfw
    PLUGIN_TYPE sensors
    SOURCES
        main.cpp
        sensorfwaccelerometer.cpp sensorfwaccelerometer.h
        sensorfwals.cpp sensorfwals.h
        sensorfwcompass.cpp sensorfwcompass.h
        sensorfwgyroscope.cpp sensorfwgyroscope.h
        sensorfwirproximitysensor.cpp sensorfwirproximitysensor.h
        sensorfwlidsensor.cpp sensorfwlidsensor.h
        sensorfwlightsensor.cpp sensorfwlightsensor.h
        sensorfwmagnetometer.cpp sensorfwmagnetometer.h
        sensorfworientationsensor.cpp sensorfworientationsensor.h
        sensorfwproximitysensor.cpp sensorfwproximitysensor.h
        sensorfwrotationsensor.cpp sensorfwrotationsensor.h
        sensorfwsensorbase.cpp sensorfwsensorbase.h
        sensorfwtapsensor.cpp sensorfwtapsensor.h
    LIBRARIES
        Qt::Core
        Qt::DBus
        Qt::Network
        Qt::SensorsPrivate
        sensorfw
)

#### Keys ignored in scope 1:.:.:sensorfw.pro:<TRUE>:
# CONFIGFILES.files = "Sensors.conf"
# CONFIGFILES.path = "/etc/xdg/QtProject/"
# INSTALLS = "CONFIGFILES"
# OTHER_FILES = "plugin.json"

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=qt6-sensors
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-debug")
_qtver=6.8.1
pkgver=${_qtver/-/}
pkgrel=1
pkgdesc='Provides access to sensor hardware and motion gesture recognition (mingw-w64)'
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.qt.io'
msys2_repository_url="https://code.qt.io/cgit/qt/qtsensors.git"
msys2_references=(
  'archlinux: qt6-sensors'
  "cpe: cpe:/a:qt:qt"
)
license=('spdx:LGPL-3.0-only WITH Qt-GPL-exception-1.0 AND BSD-3-Clause AND GFDL-1.3-no-invariants-only AND GPL-2.0-only AND GPL-3.0-only')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
             "${MINGW_PACKAGE_PREFIX}-qt6-svg"
             "rsync")
_pkgfn="${_realname/6-/}-everywhere-src-${_qtver}"
source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfn}.tar.xz")
sha256sums=('41f49b614850d40c647b80e70ef6be759e8fc90ac6cce3ab6f82a357201d9750')

build() {
  mkdir -p build-${MSYSTEM} &&cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    --log-level=STATUS \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    ../${_pkgfn}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package_qt6-sensors() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base")
  optdepends=("${MINGW_PACKAGE_PREFIX}-qt6-declarative")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6")

  DESTDIR=${pkgdir} ${MINGW_PREFIX}/bin/cmake --install build-${MSYSTEM}

  # Seperate debug-info files
  rsync -armR --remove-source-files --include="*/" --include="*.debug" --exclude="*" --prune-empty-dirs ${pkgdir}/.${MINGW_PREFIX} ${srcdir}/${MSYSTEM}-debug/

  install -d "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
  install -Dm644 $_pkgfn/LICENSES/* -t "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
}

package_qt6-sensors-debug() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base-debug"
           "${MINGW_PACKAGE_PREFIX}-${_realname}")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6-debug")
  options=('!strip')

  cp -rf ${srcdir}/${MSYSTEM}-debug${MINGW_PREFIX} "${pkgdir}"/
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
